# FeatureListGeneration

Codes for generating Feature Lists of description texts



### Example JSON Structure

**Input (`FTO_inventions.json`)**:

{
    "FTO_0": {
        "invention": "The search relates to a battery-powered industrial vehicle that is configured as a light-duty pallet stacker. ..."
    },
    "FTO_1": {
        "invention": "The technology is related to a medical companion/device for asthmatic children ..."
    }
}




### Prompts Found To be Most Efficient


    template="""
    Break down the provided text, which may be an invention claim or description, into concise technical features using only the exact terms and language from the text. Each feature should capture essential elements without adding any interpretation, rephrasing, or extra context beyond what is explicitly stated.
    The text may describe either an apparatus, a physical device or structure, or a methodology, which outlines a process with a sequence of steps.

    For apparatus claims, identify each structural element and its technical role or configuration exactly as stated in the text. For methodology claims, list each step in the exact sequence provided, preserving only the dependencies and terms given.

    Each feature should be a single, concise sentence that strictly uses only the provided terms. Number features sequentially (F1, F2, etc.) and follow the exact output structure below.

    Invention: {TopClaim}

    Output:
    {{
        "F1": "Feature description using only exact terms...",
        "F2": "Next concise feature with only explicit details..."
    }}

        """




    template="""
    Extract key elements directly from the claims, preserving original language and structure. Label each element sequentially as F1, F2, etc., without adding headings.
 
    1. Methodology Claims: Follow the order of steps, including dependencies and hierarchical relationships. Ensure comprehensive coverage, numbering features sequentially.
    2. Apparatus Claims: Extract each structural feature or component interaction line-by-line, keeping the claim’s original terms and format intact. Avoid adding interpretations or extra information.
    3. Freedom to Operate (FTO): Minimize the number of features, combining elements to condense information without omitting essential points.
    4. Patentability: Focus on primary features that address the technical problem and solution. Combine features to avoid redundancy, highlighting essential elements that showcase novelty.
 
    For general descriptions(like a patent search or technology summary), extract main subject areas, technical fields, or objectives without claim-specific formatting.
 
    Fallback Instructions: If features cannot be clearly extracted, break down the text line-by-line, and for single-line descriptions, make that line the only feature.
    
    Invention: {TopClaim}

    Output:
    {{
        "F1": "Feature description using only exact terms...",
        "F2": "Next concise feature with only explicit details..."
    }}

        """
